beautifulsoup4
bs4
cycler
DateTime
et-xmlfile
fonttools
kiwisolver
lxml
matplotlib
numpy
openpyxl
packaging
pandas
pillow
psycopg2-binary
pyparsing
python-dateutil
pytz
six
soupsieve
tzdata
zope.interface

tcping
requests
langchain-openai
pydantic
tqdm
langchain-core
openai